<?php

/**
 * Clearcoin controller.
 *
 * @category   Apps
 * @package    Digitalworld
 * @subpackage controllers
 * @author     ClearFoundation <developer@clearfoundation.com>
 * @copyright  2021 ClearFoundation
 * @license    http://www.gnu.org/copyleft/gpl.html GNU General Public License version 3 or later
 * @link       http://www.clearfoundation.com/docs/developer/apps/digitalworld/
 */

///////////////////////////////////////////////////////////////////////////////
// C L A S S
///////////////////////////////////////////////////////////////////////////////

/**
 * Clearcoin controller.
 *
 * @category   Apps
 * @package    digitalworld
 * @subpackage Controllers
 * @author     ClearFoundation <developer@clearfoundation.com>
 * @copyright  2021 ClearFoundation
 * @license    http://www.gnu.org/copyleft/gpl.html GNU General Public License version 3 or later
 */

class Clearcoin extends ClearOS_Controller
{
    /**
     * Clearcoin controller.
     *
     * @return view
     */

    function index()
    {
        // Load dependencies
        //------------------
        $this->lang->load('digitalworld');
        $this->load->library('digitalworld/Digitalworld');
        
        try {
            $data['results'] = $this->digitalworld->get_clear_coin_status();
            
            // Load views
            //-----------
            $this->page->view_form('digitalworld', $data, lang('digitalworld_app_name'));

        } catch (Exception $e) {
            $this->page->view_exception($e);
            return;
        }
        
    }

     /**
     * Get status after start.
     *
     * @return json
     */

    function get_latest_status()
    {
        // Load dependencies
        //------------------
        header('Cache-Control: no-cache, must-revalidate');
        header('Content-type: application/json');


        $this->lang->load('digitalworld');
        $this->load->library('digitalworld/Digitalworld');
        
        try {
            $status['results'] = $this->digitalworld->get_clear_latest_coin_status();
 
        } catch (Exception $e) {
            $status['results'] = NULL;
        }
        
        echo json_encode($status);
    }
}
