<?php

/**
 * Digitalworld javascript helper.
 * @category   Apps
 * @package    Digitalworld
 * @subpackage controllers
 * @author     ClearFoundation <developer@clearfoundation.com>
 * @copyright  2021 ClearFoundation
 * @license    http://www.gnu.org/copyleft/gpl.html GNU General Public License version 3 or later
 * @link       http://www.clearfoundation.com/docs/developer/apps/digitalworld/
 */

///////////////////////////////////////////////////////////////////////////////
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////
// B O O T S T R A P
///////////////////////////////////////////////////////////////////////////////

$bootstrap = getenv('CLEAROS_BOOTSTRAP') ? getenv('CLEAROS_BOOTSTRAP') : '/usr/clearos/framework/shared';
require_once $bootstrap . '/bootstrap.php';

///////////////////////////////////////////////////////////////////////////////
// T R A N S L A T I O N S
///////////////////////////////////////////////////////////////////////////////

clearos_load_language('base');
clearos_load_language('digitalworld');

///////////////////////////////////////////////////////////////////////////////
// J A V A S C R I P T
///////////////////////////////////////////////////////////////////////////////

header('Content-Type:application/x-javascript');
?>

var service_status = false;


$(document).ready(function() {
    $('#digitalworld_not_running').hide();
    clearosGetDigitalworldStatus();
});

// Functions
//----------

function clearosGetDigitalworldStatus() {
    $.ajax({
        url: '/app/digitalworld/server/status/stellar-core?_='+service_status,
        method: 'GET',
        dataType: 'json',
        success : function(payload) {
            handleDigitalworldRes(payload);
            window.setTimeout(clearosGetDigitalworldStatus, 5000);
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            window.setTimeout(clearosGetDigitalworldStatus, 5000);
        }
    });
}

function handleDigitalworldRes(payload) {
    if (payload.status == 'running') {

        $('#digitalworld_not_running').hide();
        $('#digitalworld_node_ready').show();

        $.ajax({
            url: '/app/digitalworld/clearcoin/get_latest_status',
            method: 'GET',
            dataType: 'json',
            success : function(payload) {
                
                  $('#status_text').text(results.info.state);
                  $('#network_text').text(results.info.network);
                  $('#network_valid_text').text(results.info.quorum.transitive.intersection);
                  $('#critical_errors_text').text(results.info.quorum.transitive.critical);
                  $('#Last_Ledger_Number_text').text(results.info.ledger.num);

            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
            }
        });

    } else {
        $('#digitalworld_not_running').show();
        $('#digitalworld_node_ready').hide();
    }

}