<?php

/**
 * Digitalworld view.
 *
 * @category   apps
 * @package    digitalworld
 * @subpackage view
 * @author     ClearFoundation <developer@clearfoundation.com>
 * @copyright  2021 ClearFoundation
 * @license    http://www.gnu.org/copyleft/gpl.html GNU General Public License version 3 or later
 * @link       http://www.clearfoundation.com/docs/developer/apps/digitalworld/
 */

///////////////////////////////////////////////////////////////////////////////
// Load dependencies
///////////////////////////////////////////////////////////////////////////////

$this->lang->load('digitalworld');


$status = $results->info->state;
$network = $results->info->network;
$network_valid = $results->info->quorum->transitive->intersection;
$critical = $results->info->quorum->transitive->critical;
$time = $results->info->ledger->closeTime;
$number = $results->info->ledger->num;



///////////////////////////////////////////////////////////////////////////////
// Form
///////////////////////////////////////////////////////////////////////////////

echo infobox_highlight(lang('digitalworld_app_name'), '...');


echo "<div id='digitalworld_not_running' style='display:none;'>";
echo infobox_warning(lang('base_warning'), lang('digitalworld_app_api_catch_error'));
echo "</div>";

///////////////////////////////////////////////////////////////////////////////
// Form open
///////////////////////////////////////////////////////////////////////////////
    echo "<div id='digitalworld_node_ready' style='display:none;'>";
    echo form_open('');
    echo form_header('ClearCOIN Status');

///////////////////////////////////////////////////////////////////////////////
// Form fields and buttons
///////////////////////////////////////////////////////////////////////////////

    echo field_input('status', $status, lang('digitalworld_app_status'), TRUE);
    echo field_input('network', $network, lang('digitalworld_app_network'), TRUE);
    echo field_input('network_valid', $network_valid, lang('digitalworld_app_network_valid'), TRUE);
    echo field_input('critical_errors', $critical, lang('digitalworld_app_critical_errors'), TRUE);
    echo field_input('Last_ledger_close', date('d M Y H:i:s', $time), lang('digitalworld_app_Last_ledger_close'), TRUE);
    echo field_input('Last_Ledger_Number', $number, lang('digitalworld_app_Last_Ledger_Number'), TRUE);


    echo field_button_set();

///////////////////////////////////////////////////////////////////////////////
// Form close
///////////////////////////////////////////////////////////////////////////////

    echo form_footer();
    echo form_close();
echo "</div>";